#pragma once

#include "CoreMinimal.h"
#include "Mutator.h"
#include "Templates/SubclassOf.h"
#include "AddComponentToGeneratorsMutator.generated.h"

class UActorComponent;

UCLASS(Blueprintable, EditInlineNew)
class UAddComponentToGeneratorsMutator : public UMutator
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, NoClear, meta=(AllowPrivateAccess=true))
	TSubclassOf<UActorComponent> _componentToAdd;

private:
	UFUNCTION(BlueprintCallable)
	void OnLevelReadyToPlay();

public:
	UAddComponentToGeneratorsMutator();
};

FORCEINLINE uint32 GetTypeHash(const UAddComponentToGeneratorsMutator) { return 0; }
